<back to all web services

GetProjectsService

The following routes are available for this service:
GET/RestApi/translations/projects/services
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetProjectsService : IProjectsFilter
{
    override var SearchText:String? = null
    override var Service:ArrayList<String>? = null
    override var ProjectStatus:ProjectStatus? = null
    override var ActualSourceLanguage:String? = null
    override var WithoutSourceLanguage:Boolean? = null
}

enum class ProjectStatus
{
    NotStarted,
    Started,
    Completed,
}

Kotlin GetProjectsService DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/services HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.